/**
  *  \file game/maketurn.h
  *  \brief Maketurn Logic
  *
  *  (c) 2001-2016 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_GAME_MAKETURN_H
#define PCC_V2_GAME_MAKETURN_H

#include <vector>
#include "cpluslib/ptrvector.h"
#include "game/trn.h"

class Directory;

/** Maketurn logic. Contains all the functionality to generate turn
    files from an unpacked game directory. */
class GMaketurn {
    ptr_vector<GTurnfile> turns;
    std::vector<int> turnNumbers;
    Directory& dir;
 public:
    GMaketurn(Directory& dir);
    ~GMaketurn();
    int  makeTurn(int pid);
    void writeTurns();
    int  getNumTurns() const;
};


/** Get number of prepared turns in this object. */
inline int
GMaketurn::getNumTurns() const
{
    return turns.size();
}

#endif
