/**
  *  \file ui/panel.h
  *  \brief Panel widget
  *
  *  (c) 2001-2016 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_UI_PANEL_H
#define PCC_V2_UI_PANEL_H

#include "ui/ui.h"

/** Raised dark-gray panel. The panel also provides an own skin,
    making it usable as a top-level window (don't forget to make it
    modal, though!). */
class UIPanel : public UILayoutableWidget {
    int space;

 public:
    UIPanel(int space = 5);
    ~UIPanel();

    void drawContent(GfxCanvas& can);
    void adjustSize(GfxRect& size, bool to_inner);
};

#endif
