/**
  *  \file ui/widgets/quit.h
  *  \brief Class UIQuit
  *
  *  (c) 2001-2016 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_UI_WIDGETS_QUIT_H
#define PCC_V2_UI_WIDGETS_QUIT_H

#include "ui/ui.h"

/** Quit handler.
    This widget handles vk_Quit ("X" window icon).
    It will stop the dialog with a user-defined command,
    and re-post the vk_Quit event. */
class UIQuit : public UIFixedWidget {
 public:
    UIQuit(int command);
    ~UIQuit();

    bool handleEvent(const UIEvent& event, bool second_pass);
    void drawContent(GfxCanvas& can);

 private:
    const int command;
};

#endif
